package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/20
 */
@Data
public class ShopOrderVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 子订单已支付成功次数统计
     */
    private Integer paySuccessCounter;
    /**
     * 特殊供应商标识
     */
    private Integer shopType;
    /**
     * 子订单ID
     */
    private Integer shopOrderId;
    /**
     * 子订单编号
     */
    private String shopOrderNo;
    /**
     * 订单号
     */
    private Integer orderId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 供应商logo
     */
    private String shopLogo;
    /**
     * 子订单备注信息
     */
    private String note;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 购买机构Id
     */
    private Integer clubId;
    /**
     * 协销Id
     */
    private Integer spId;
    /**
     * 订单促销id(店铺促销)
     */
    private Integer orderPromotionsId;
    /**
     * 促销满减优惠(店铺促销)
     */
    private Double promotionFullReduction;
    /**
     * 超级会员优惠
     */
    private Double svipShopReduction;
    /**
     * (付款供应商)付款状态：1待付款、2部分付款、3已付款
     */
    private Integer payStatus;
    /**
     *  用户待付（realPay-receiptAmount）
     */
    private Double  obligation;
    /**
     * 均摊优惠的金额
     */
    private Double eachDiscount;
    /**
     * 已付款金额
     */
    private Double payedShopAmount;
    /**
     * 佣金 =  应付采美
     */
    private Double brokerage;
    /**
     * 可退款金额 = 余额抵扣金额
     */
    private Double canRefundAmount;
    /**
     * 购买数量
     */
    private Integer itemCount;
    /**
     * 总价 = totalFee
     */
    private Double totalAmount;
    /**
     * 总金额 = 订单商品totalAmount
     */
    private Double productAmount;
    /**
     * 需要支付金额 shouldPayFee +运费
     */
    private Double needPayAmount;
    /**
     * 付供应商 商品费=成本价*(购买数量  + 赠品数量)
     */
    private Double shopProductAmount;
    /**
     * 用户已付金额
     */
    private Double receiptAmount;
    /**
     * 优惠均摊后真实应付金额needpay
     */
    private Double realPay;
    /**
     * 付供应商 运费
     */
    private Double shopPostFee;
    /**
     * 付供应商税费
     */
    private Double shopTaxFee;
    /**
     * 付供应商 = 商品费 + 运费 + 税费
     */
    private Double shouldPayShopAmount;
    /**
     * 已经发货的商品数量
     */
    private Integer outStoreNum;
    /**
     * 子订单发货批次 默认值 = 0 即没过发货
     */
    private Integer outStoreTimes;
    /**
     * 发货状态：1待发货、2部分发货、3已发货
     */
    private Integer sendOutStatus;
    /**
     * 赠品数
     */
    private Integer presentNum;
    /**
     * 订单提交时间
     */
    private String orderTime;
    /**
     * 0:个人自己下单 1:企业自己下单 2:员工帮会所下单 3:协销帮会所下单  4:后台下单 5:采美豆订单
     */
    private Integer orderSubmitType;
    /**
     * 订单能否拆分 1 为可拆分, 0为不可拆分
     */
    private Integer splitFlag;
    /**
     * 付第三方
     */
    private Double shopOtherFee;
    /**
     * 子订单店铺促销活动
     */
    private PromotionsVo shopPromotion;
    /**
     * 订单商品信息
     */
    private List<OrderProductVo> orderProductList;
    /**
     * 发货物流记录
     */
    private List<LogisticsRecordVo> logisticsRecordList;
    /**
     * 收货地址
     */
    private OrderUserinfoVo userInfo;
    /**
     * （收款买家）收款状态：1待收款、2部分收款、3已收款
     */
    private Integer receiptStatus;
    /**
     * 供应商已退金额
     */
    private BigDecimal shopRefundAmount;
    /**
     * 存在退款中的记录 （0：否，1：是）
     */
    private String haveReturning;
    /**
     * 子订单返佣标识
     */
    private Integer receiptedFlag;
    /**
     * 返佣类型 10口头返佣   1或者其他值都是返佣
     */
    private Integer receiptedType;
    /**
     * 返佣订单关联页面展示用
     */
    private OrderVo mainOrder;
    /**
     * 子订单分帐号
     */
    private String splitCode;
}
